
TYPO3.Eel - Bug # 52450

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2013-10-02 Assigned To: Christian Müller
Updated: 2015-02-02 Due date:
Subject: Children operation should work for properties that cotain collections
Description

children operation works fine for regular properties but not at all for collection properties which are one of the main use cases for
children operation.

Associated revisions
Revision c8dd0257 - 2015-02-02 16:31 - Sebastian Kurfuerst 

[BUGFIX] Children operation does not work with collections

Children operation applied to entities and giving the name of a
collection property don't retrieve the collection

Fixes: #52450
Releases: master, 2.3, 2.2
Change-Id: I61e0110aeb30be8bc7295fb8b1d78c434ad71c56
Reviewed-on: http://review.typo3.org/20125
Reviewed-by: Christian Müller <christian@kitsunet.de>
Tested-by: Christian Müller <christian@kitsunet.de>

Revision b5a13cbe - 2015-03-04 16:56 - Sebastian Kurfuerst 

[BUGFIX] Children operation does not work with collections

Children operation applied to entities and giving the name of a
collection property don't retrieve the collection

Fixes: #52450
Releases: master, 2.3, 2.2
Change-Id: I61e0110aeb30be8bc7295fb8b1d78c434ad71c56
Reviewed-on: http://review.typo3.org/36606
Reviewed-by: Karsten Dambekalns <karsten@typo3.org>
Tested-by: Karsten Dambekalns <karsten@typo3.org>

Revision e5454970 - 2015-04-26 21:46 - Sebastian Kurfuerst 

[BUGFIX] Children operation does not work with collections

Children operation applied to entities and giving the name of a
collection property don't retrieve the collection

Fixes: #52450
Releases: master, 2.3, 2.2
Change-Id: I61e0110aeb30be8bc7295fb8b1d78c434ad71c56
Reviewed-on: http://review.typo3.org/36607
Reviewed-by: Karsten Dambekalns <karsten@typo3.org>
Tested-by: Karsten Dambekalns <karsten@typo3.org>

History
#1 - 2013-10-02 09:54 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20125

#2 - 2014-12-24 13:33 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Eel has been pushed to the review server.
It is available at http://review.typo3.org/20125

#3 - 2015-02-02 16:31 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Eel has been pushed to the review server.
It is available at http://review.typo3.org/20125

#4 - 2015-02-02 16:33 - Gerrit Code Review

Patch set 1 for branch 2.3 of project Packages/TYPO3.Eel has been pushed to the review server.
It is available at http://review.typo3.org/36606

#5 - 2015-02-02 16:33 - Gerrit Code Review

Patch set 1 for branch 2.2 of project Packages/TYPO3.Eel has been pushed to the review server.
It is available at http://review.typo3.org/36607

#6 - 2015-02-02 16:51 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c8dd025771842ee236c4bc751a8e4976348ebfe1.
